createFile
POST /v5/books/{bookId}/files
Create a file
Authorizations
Parameters
Path Parameters
The id of the book. Same bookId url param on Bkper
Request Body
object
The id of agent that created the resource
The file content Base64 encoded
The file content type
The creation timestamp, in milliseconds
The unique id that identifies the file in the book
The file name
The key/value custom properties of the File
object
The file size in bytes
The last update timestamp, in milliseconds
The file serving url
Responses
200
A File response
object
The id of agent that created the resource
The file content Base64 encoded
The file content type
The creation timestamp, in milliseconds
The unique id that identifies the file in the book
The file name
The key/value custom properties of the File
object
The file size in bytes
The last update timestamp, in milliseconds
The file serving url
Examples
{ "agentId": "string", "content": "string", "contentType": "string", "createdAt": "1592000000000", "id": "string", "name": "string", "properties": { "key": "value" }, "size": 1, "updatedAt": "1592000000000", "url": "string"}default
An error response from the Bkper API or its public API proxy.
A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.